Skip to main content
Monitoring & Collection/Zaku

GetNormalizeConfig

Retrieve the current normalization configuration settings

GET/api/v1/zaku/normalize/config

Operation ID

GetNormalizeConfig

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • maxLabelCount
    Integer

    Maximum number of labels allowed per pod

    Example: 64

  • maxAnnotationSize
    Integer

    Maximum total size of annotations in bytes

    Example: 262144

  • maxBatchSize
    Integer

    Maximum number of pods per batch normalization request

    Example: 500

  • maxPodNameLength
    Integer

    Maximum allowed length for a pod name

    Example: 253